> For the complete documentation index, see [llms.txt](https://docs.supefina.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.supefina.net/huan-ying-shi-yong-supefina-de-api-wen-dang/dai-fu/zhi-li/transfer.md).

# Transfer

### 请求地址

<table data-full-width="true"><thead><tr><th width="114">环境名称</th><th width="619">URL</th></tr></thead><tbody><tr><td>SandBox</td><td><mark style="color:blue;"><code>POST</code></mark><br>https://api.supefina.tech/api/supefina/transactions/payout</td></tr><tr><td><mark style="color:red;">正式环境</mark></td><td><mark style="color:red;"><code>POST</code></mark><br><mark style="color:red;">https://api.supefina.net/api/supefina/transactions/payout</mark></td></tr></tbody></table>

### 请求方式

#### 请求头

<table data-full-width="true"><thead><tr><th>Key</th><th>Value</th></tr></thead><tbody><tr><td><code>Content-Type</code></td><td><code>application/json</code></td></tr></tbody></table>

#### 请求体

<table data-full-width="true"><thead><tr><th width="223">变量名</th><th width="140">类型</th><th width="139">必填</th><th width="546">描述</th></tr></thead><tbody><tr><td>countryId</td><td>String</td><td>是</td><td>国家编号<br>参照：<a href="/pages/17IKBEvxR4cpZue8BRdD#afwzp">字典表-国家编号</a><br>智利，<code>CHL</code></td></tr><tr><td>merId</td><td>String</td><td>是</td><td>商户ID<br>商户ID获取路径：Supefina商户后台-商户管理-基本信息-商户ID</td></tr><tr><td>payProduct</td><td>String</td><td>是</td><td><a href="/pages/17IKBEvxR4cpZue8BRdD#mfocd">支付类型</a><br>Transfer：<code>12</code></td></tr><tr><td>currency</td><td>String</td><td>是</td><td>币种<br>参照：字典表-货币<br>智利比索：<code>CLP</code></td></tr><tr><td>merOrderNo</td><td>String</td><td>是</td><td>商户订单号</td></tr><tr><td>orderAmount</td><td>String</td><td>是</td><td>订单金额<br>单位比索，只支持整数</td></tr><tr><td>customerName</td><td>String</td><td>是</td><td><p>用户名字</p><p>首尾不得包含空格，但姓名之间可以有空格</p></td></tr><tr><td>customerEmail</td><td>String</td><td>是</td><td>用户邮箱，长度 &#x3C;= 50个字符</td></tr><tr><td>customerPhone</td><td>String</td><td>是</td><td>用户电话</td></tr><tr><td>customerIdentification</td><td>String</td><td>是</td><td><p>用户证件号(RUT证件号位数8位或9位)，</p><p>最后一位可以是0-9的数字或字母K，现已支持特殊字符</p><p>示例：13251657-K</p></td></tr><tr><td>customerAddress</td><td>String</td><td>是</td><td>用户地址</td></tr><tr><td>accountType</td><td>Strin</td><td>是</td><td><p>收款方账户类型<br><code>00</code>--Corriente（活期账户）<br><code>01</code>--Ahorro（储蓄账户）<br><code>02</code>-- RUT<del>（只有0012-banco estado有这个类型）</del></p><p><code>07</code>--Vista/Cuenta</p><p><code>08</code>--SALARY ACCOUNT</p></td></tr><tr><td>account</td><td>String</td><td>是</td><td>收款方账户号（当'bankId'是0012-<strong>banco estado,</strong>银行位数最多是12位，且当0012-<strong>banco estado的</strong><code>accountType</code>是<code>02</code>时，<code>account</code>是<code>customerIdentification</code>的前8位数字，示例：26484404）</td></tr><tr><td>bankId</td><td>String</td><td>是</td><td>收款人银行编号<br>参照：<a href="/pages/8YRD2SP9Grp9K4fNoIZS">“下载”>智利银行编码"</a></td></tr><tr><td>bankName</td><td>String</td><td>是</td><td>收款人银行名称<br>参照：<a href="/pages/8YRD2SP9Grp9K4fNoIZS">“下载”>智利银行编码"</a></td></tr><tr><td>nonceStr</td><td>String</td><td>是</td><td>随机字符串<br>长度不能超过32位</td></tr><tr><td>description</td><td>String</td><td>是</td><td>订单描述</td></tr><tr><td>sign</td><td>String</td><td>是</td><td>签名<br><a href="/pages/DR0Ieg3d88mBdWrXD882">具体参照：签名算法</a></td></tr><tr><td>callbackUrl</td><td>String</td><td>是</td><td><p>回调地址</p><p>详见<a href="/pages/mfMq4AmXGJtMyIPchGsF">通知回调说明</a></p></td></tr><tr><td>customerIdentificationType</td><td>String</td><td>是</td><td><p>用户证件类型</p><p><code>02</code>: 税号 --RUT</p><p><code>03</code>：护照</p></td></tr></tbody></table>

#### 请求示例<br>

{% code fullWidth="true" %}

```json
{
	"account": "50257382",
	"accountType": "00",
	"bankId": "0016",
	"bankName": "BCI",
	"callbackUrl": "https://d3n6sxxacbzd9u.cloudfront.net/apigate/uwjhah/api/pay_notice/out_payback?payId=4CB565C10F994CDBBCB1D1E8715C458A",
	"countryId": "CHL",
	"currency": "CLP",
	"customerAddress": "test online 01",
	"customerEmail": "davies.zhai@supefina.net",
	"customerIdentification": "111111111",
	"customerIdentificationType": "00",
	"customerName": "Ignacio Andres Donoso Pinochet",
	"customerPhone": "923122312",
	"description": "111111",
	"merId": "8302024214514649",
	"merOrderNo": "2025072517282053634358904",
	"nonceStr": "5749e4b8f0764fe4b62f6081ac6a46cc",
	"orderAmount": "1000",
	"payProduct": "12",
	"sign": "DB06FF061B7CE8CE920AAB5766233AE5"// 大写
}
```

{% endcode %}

签名组装字符串

account=50257382\&accountType=00\&bankId=0016\&bankName=BCI\&callbackUrl=<https://d3n6sxxacbzd9u.cloudfront.net/apigate/uwjhah/api/pay\\_notice/out\\_payback?payId=4CB565C10F994CDBBCB1D1E8715C458A\\&countryId=CHL\\&currency=CLP\\&customerAddress=test> online 01\&customerEmail=<davies.zhai@supefina.net>\&customerIdentification=111111111\&customerIdentificationType=00\&customerName=Ignacio Andres Donoso Pinochet\&customerPhone=923122312\&description=111111\&merId=8302024214514649\&merOrderNo=2025072517282053634358904\&nonceStr=5749e4b8f0764fe4b62f6081ac6a46cc\&orderAmount=1000\&payProduct=12\&key=bb01dd04d967425ab194fff9fe8a9501

### 响应参数

<table data-full-width="true"><thead><tr><th width="195">变量名</th><th width="195">类型</th><th width="541">描述</th></tr></thead><tbody><tr><td>code</td><td>String</td><td>响应编码<br>具体参照：<a href="/pages/j56ENY9y4TEhx8ssOv8a">响应状态码</a></td></tr><tr><td>data</td><td>Object</td><td>响应数据</td></tr><tr><td>amount</td><td>BigDecimal</td><td>订单金额</td></tr><tr><td>fee</td><td>BigDecimal</td><td>预收手续费</td></tr><tr><td>merCode</td><td>String</td><td>商户ID</td></tr><tr><td>merOrderNo</td><td>String</td><td>商户订单号</td></tr><tr><td>supefinaOrderNo</td><td>String</td><td>supefina订单号</td></tr><tr><td>transactionStatus</td><td>String</td><td>下单状态<br>该笔订单的的发起状态是否成功，与订单真正的交易状态无关。<br><code>00</code>：下单成功<br><code>04</code>：下单失败</td></tr><tr><td>msg</td><td>String</td><td>响应信息</td></tr></tbody></table>

#### 响应示例

{% code fullWidth="true" %}

```json
{
	"code": "200",
	"msg": "success ",
	"data": {
		"merCode": "8302024214514649",
		"merOrderNo": "2025072517282053634358904",
		"supefinaOrderNo": "20250725092820898000038028",
		"amount": 1000,
		"transactionStatus": "00"
	}
}
```

{% endcode %}

### 回调通知

提交方式：`POST`

<table data-full-width="true"><thead><tr><th width="195">变量名</th><th width="195">类型</th><th width="632">描述</th></tr></thead><tbody><tr><td>amount</td><td>String</td><td>订单金额</td></tr><tr><td>countryId</td><td>String</td><td>国家编号<br>参照：字典表-国家编号<br>秘鲁，PER</td></tr><tr><td>customerName</td><td>String</td><td>收款人姓名</td></tr><tr><td>fee</td><td>String</td><td>预收手续费</td></tr><tr><td>identifier</td><td>String</td><td>付款参考<br>Clabe</td></tr><tr><td>merId</td><td>String</td><td>商户ID</td></tr><tr><td>merOrderId</td><td>String</td><td>商户订单号</td></tr><tr><td>msg</td><td>String</td><td>消息</td></tr><tr><td>nonceStr</td><td>String</td><td>随机字符串<br>长度不能超过32位</td></tr><tr><td>realityAmount</td><td>String</td><td>实收金额</td></tr><tr><td>realityFee</td><td>String</td><td>实收手续费</td></tr><tr><td>sign</td><td>String</td><td>签名</td></tr><tr><td>status</td><td>String</td><td>交易状态<br>具体参照：<a href="/pages/17IKBEvxR4cpZue8BRdD#kxzkj">字典表——交易订单状态</a></td></tr><tr><td>successTime</td><td>String</td><td>交易成功时间</td></tr><tr><td>supefinaOrderId</td><td>String</td><td>supefina订单号</td></tr><tr><td>transactionType</td><td>String</td><td>交易类型<br><code>01</code>：代收<br><code>02</code>：代付</td></tr></tbody></table>

#### 回调通知示例

{% code fullWidth="true" %}

```json
{
	"amount": "1000.00",
	"countryId": "CHL",
	"customerName": "Ignacio Andres Donoso Pinochet",
	"fee": "5.00",
	"identifier": "",
	"merId": "8302024214514649",
	"merOrderId": "2025072517282053634358904",
	"msg": "SUCCESS",
	"nonceStr": "5bb977b2-aa05-47e5-bc3f-2b4b57",
	"realityAmount": "1000.00",
	"realityFee": "5.00",
	"reference": "0d34aac0-6af7-49",
	"sign": "9F34FD9A25A43A4209B913AF02409DA0",// 大写
	"status": "01",
	"supefinaOrderId": "20250725092820898000038028",
	"transactionType": "02"
}
```

{% endcode %}

签名组装字符串

amount=1000.00\&countryId=CHL\&customerName=Ignacio Andres Donoso Pinochet\&fee=5.00\&merId=8302024214514649\&merOrderId=2025072517282053634358904\&msg=SUCCESS\&nonceStr=5bb977b2-aa05-47e5-bc3f-2b4b57\&realityAmount=1000.00\&realityFee=5.00\&reference=0d34aac0-6af7-49\&status=01\&supefinaOrderId=20250725092820898000038028\&transactionType=02\&key=bb01dd04d967425ab194fff9fe8a9501

**回调通知响应**

商户成功收到回调后需同步返回指定字符串：SUCCESS 不返回或返回其他内容默认通知失败\
如：

{% code fullWidth="true" %}

```java
public String test(){
	return "SUCCESS";
}
```

{% endcode %}

### 智利代付银行列表

<table><thead><tr><th width="234">bankId</th><th width="365">bankName</th></tr></thead><tbody><tr><td>0504</td><td>Scotiabank Azul</td></tr><tr><td>0028</td><td>Banco Bice</td></tr><tr><td>0055</td><td>Banco Consorcio</td></tr><tr><td>0001</td><td>Banco de Chile</td></tr><tr><td>0012</td><td>Banco Estado</td></tr><tr><td>0051</td><td>Banco Falabella</td></tr><tr><td>0039</td><td>Banco Itau</td></tr><tr><td>0053</td><td>Banco Ripley</td></tr><tr><td>0049</td><td>Banco Security</td></tr><tr><td>0016</td><td>BCI</td></tr><tr><td>729</td><td>Caja Los Heroes</td></tr><tr><td>0672</td><td>Coopeuch</td></tr><tr><td>732</td><td>Los Andes</td></tr><tr><td>875</td><td>Mercado Pago</td></tr><tr><td>0037</td><td>Santander</td></tr><tr><td>0014</td><td>Scotiabank</td></tr><tr><td>730</td><td>Tenpo</td></tr><tr><td>0507</td><td>Banco del desarrollo</td></tr><tr><td>0009</td><td>Banco Internacional</td></tr><tr><td>027</td><td>Itau-Corpbanca</td></tr><tr><td>031</td><td>Hsbc Bank</td></tr><tr><td>057</td><td>Banco Paris</td></tr><tr><td>0152</td><td>Prepago Los Heroes</td></tr><tr><td>0738</td><td>Global 66</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.supefina.net/huan-ying-shi-yong-supefina-de-api-wen-dang/dai-fu/zhi-li/transfer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
